Skip to main content
GET
List all Posts

Query Parameters

filter[ids]
string

Fetch only resources with corresponding IDs

filter[title]
string

Filter Posts by title

filter[post_category_id]
string

Filter Posts by Post Category ID

filter[post_category_slug]
string

Filter Posts by Post Category slug

page
integer

Number of requested page when paginating collection

per_page
integer

Number of requested records per page when paginating collection

sort
enum<string>

Sort posts by attribute. Prefix with "-" for descending order. Available options: id, title, published_at, created_at, updated_at

Available options:
id,
-id,
title,
-title,
published_at,
-published_at,
created_at,
-created_at,
updated_at,
-updated_at
include
string

Include related resources (available: post_category)

Response

200 - application/json

Success

data
Post · object[]
meta
Pagination Meta · object